Bug 1086054 - default for insertseparatorbeforeaccesskeys should be false
Summary: default for insertseparatorbeforeaccesskeys should be false
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-10 02:54 UTC by Wei-Lun Chao
Modified: 2019-01-03 09:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 09:39:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Wei-Lun Chao 2014-04-10 02:54:12 UTC
Description of problem:
Under locale zh_TW (maybe also other CJKV locales),
the default value of intl.menuitems.insertseparatorbeforeaccesskeys is true, which make the menu look inconsistent to other applications.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.go to about:config
2.search for intl.menuitems.insertseparatorbeforeaccesskeys

Actual results:
the default value is true

Expected results:
the default value is false

Additional info:

Comment 1 Jaroslav Reznik 2015-03-03 15:41:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2017-02-28 09:37:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Ben Cotton 2018-11-27 17:43:21 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jan Horak 2019-01-03 09:36:16 UTC
Looks like it's setup by the upstream locale authors:
https://dxr.mozilla.org/l10n-central/rev/67e0a7eb03bcf80a71e6a8496991eb105911d27b/zh-TW/toolkit/chrome/global/intl.properties#51
Let's move it to upstream.

Comment 5 Jan Horak 2019-01-03 09:39:23 UTC
Upstream bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1517431


Note You need to log in before you can comment on or make changes to this bug.